unsigned int isqrt(unsigned int n)
{
	unsigned int root = 0, bit, trial;
	bit = (n >= 0x10000) ? 1<<30 : 1<<14;
	for(;bit!=0;bit>>=2)
	{ 
		trial = root+bit;
		root >>= 1;
		if (n >= trial)
		{
			n -= trial;
			root += bit;
		}
	}
	return root;
}
