
// by maulo

#include "klEGLSurfaceGP32.h"
#include "../klBlitter.h"
#include <string.h>

klEGLSurfaceGP32::klEGLSurfaceGP32()
{
	colorType = COLOR_TYPE_RGB555;
	depthType = DEPTH_TYPE_INT32;

	width = height = 0;
	cBuffer = NULL;
	zBuffer = NULL;

	surface = NULL;
	displayOpened = false;

}


klEGLSurfaceGP32::~klEGLSurfaceGP32()
{
	destroy();
}


bool
klEGLSurfaceGP32::setNativeWindow(NativeWindowType nWnd)
{	
	surface = (u16 *) nWnd;
	//surface = (u16*) FRAMEBUFFER1;
	//gp_initFramebuffer(surface,16,85);

	// check if we have 16-bits as expected...
	//
	//if (surface->format->BitsPerPixel != 16)
	//{
	//	return false;
	//}

	setSize(320, 240);

	displayOpened = true;
	return true;
}


bool
klEGLSurfaceGP32::setNativeDisplay(NativeDisplayType nDisp)
{
	return true;
}


bool
klEGLSurfaceGP32::destroy()
{
	bool ret = true;

	//if(cBuffer)
	//	delete static_cast<unsigned short *>(cBuffer);
	//cBuffer = NULL;

	//if(zBuffer)
	//	delete static_cast<unsigned int *>(zBuffer);
	//zBuffer = NULL;

	//width = height = 0;
	//surface = NULL;

	return ret;
}


void
klEGLSurfaceGP32::setSize(int nWidth, int nHeight)
{
	/*if(width!=nWidth || height!=nHeight)
	{
		width = nWidth;
		height = nHeight;

		if(cBuffer)
			delete static_cast<unsigned short *>(cBuffer);
		cBuffer = new unsigned short[width*height];

		if(zBuffer)
			delete static_cast<unsigned int *>(zBuffer);
		zBuffer = new unsigned int[width*height];
	}*/

	width = nWidth;
	height = nHeight;
}


bool
klEGLSurfaceGP32::flip()
{
	/*SDL_Flip( surface );
	memcpy( surface->pixels, cBuffer, width * height * 2);*/
	return true;
}

NativeWindowType
klEGLSurfaceGP32::getNativeWindow()
{
	return surface;
}


NativeDisplayType
klEGLSurfaceGP32::getNativeDisplay()
{
	return 0;
}


klEGLDisplay*
klEGLSurfaceGP32::getDisplay() {
	return 0;
}

bool
klEGLSurfaceGP32::create(klEGLDisplay* nDisplay, NativeWindowType nWnd)
{
	//surface = (SDL_Surface *) nWnd;
	surface = (u16 *) nWnd;

	// check if we have 16-bits as expected...
	//if (surface->format->BitsPerPixel != 16)
	//{
	//	return false;
	//}

	setSize(320, 240);

	displayOpened = true;
	return true;
}

