
// by maulo

#ifndef __KLEGLSURFACE_GP32_HEADERFILE__
#define __KLEGLSURFACE_GP32_HEADERFILE__

#include "gp32.h"
#include "cpp_prototypes.h"
#include "../klEGLSurface.h"

class Display;

class klEGLSurfaceGP32 : public klEGLSurface
{
public:
	klEGLSurfaceGP32();
	~klEGLSurfaceGP32();
	
	virtual bool setNativeWindow(NativeWindowType nHWnd);
	virtual bool setNativeDisplay(NativeDisplayType nDisp);
	virtual bool destroy();
	virtual bool flip();

	virtual NativeWindowType getNativeWindow();
	virtual NativeDisplayType getNativeDisplay();

	virtual klEGLDisplay* getDisplay();
	virtual bool create(klEGLDisplay* nDisplay, NativeWindowType nHWnd);

private:
	void setSize(int nWidth, int nHeight);
	u16 		*surface;
	bool		displayOpened;
};


#endif //__KLEGLSURFACE_GP32_HEADERFILE__
