#include "gp32.h"
#include "dbg.h"
#include "gfx.h"

void EnableCache();
void menu();
u32  gp_getRTC();
void gp_initRTC(); 
void gp_clearRTC();
void gp_setCpuspeed(int);
void gp_initButton();

int getTickCount()
{
	return (gp_getRTC()*1000)>>6;
}

int main()
{
	EnableCache();
	dbg_init();
	gp_setCpuspeed(133);
	gp_initButton();
	initGfx();
	gp_initRTC();
	mainLoop();
	return 0;
}
